### Enumeration

# Gdk ToplevelState

#### Declaration

    flags Gdk.ToplevelState

#### Description [src]

Specifies the state of a toplevel surface.

On platforms that support information about individual edges, the `GDK_TOPLEVEL_STATE_TILED` state will be set whenever any of the individual tiled states is set. On platforms that lack that support, the tiled state will give an indication of tiledness without any of the per-edge states being set.

#### Members

Name | Description
--- | ---
`GDK_TOPLEVEL_STATE_MINIMIZED` | The surface is minimized.
`GDK_TOPLEVEL_STATE_MAXIMIZED` | The surface is maximized.
`GDK_TOPLEVEL_STATE_STICKY` | The surface is sticky.
`GDK_TOPLEVEL_STATE_FULLSCREEN` | The surface is maximized without decorations.
`GDK_TOPLEVEL_STATE_ABOVE` | The surface is kept above other surfaces.
`GDK_TOPLEVEL_STATE_BELOW` | The surface is kept below other surfaces.
`GDK_TOPLEVEL_STATE_FOCUSED` | The surface is presented as focused (with active decorations).
`GDK_TOPLEVEL_STATE_TILED` | The surface is in a tiled state.
`GDK_TOPLEVEL_STATE_TOP_TILED` | Whether the top edge is tiled.
`GDK_TOPLEVEL_STATE_TOP_RESIZABLE` | Whether the top edge is resizable.
`GDK_TOPLEVEL_STATE_RIGHT_TILED` | Whether the right edge is tiled.
`GDK_TOPLEVEL_STATE_RIGHT_RESIZABLE` | Whether the right edge is resizable.
`GDK_TOPLEVEL_STATE_BOTTOM_TILED` | Whether the bottom edge is tiled.
`GDK_TOPLEVEL_STATE_BOTTOM_RESIZABLE` | Whether the bottom edge is resizable.
`GDK_TOPLEVEL_STATE_LEFT_TILED` | Whether the left edge is tiled.
`GDK_TOPLEVEL_STATE_LEFT_RESIZABLE` | Whether the left edge is resizable.